using System.ComponentModel.DataAnnotations;
using MileageTraker.Web.Attributes;

namespace MileageTraker.Web.Models
{
	public class ServiceReminder
	{
		[Key]
		public int ServiceReminderId { get; set; }

		[Required]
		public virtual Vehicle Vehicle { get; set; }

		[InputSize("small")]
		[Range(1, 500000, ErrorMessage = "Between 1 and 500k")]
		public int TargetOdometer { get; set; }

		[StringLength(64)]
		public string Description { get; set; }
	}
}